package libxvmc1 2:1.0.9-1ubuntu1 failed to install/upgrade: trying to overwrite shared '/etc/X11/XvMCConfig', which is different from other instances of package libxvmc1:amd64

Bug #1715350 reported by David Kastrup on 2017-09-06
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libxvmc (Debian)
Incomplete
Unknown
libxvmc (Ubuntu)
Undecided
Unassigned

Bug Description

Upgrade attempt. Basic installation is Ubuntu Studio amd64.

ProblemType: Package
DistroRelease: Ubuntu 17.10
Package: libxvmc1 2:1.0.9-1ubuntu1
ProcVersionSignature: Ubuntu 4.12.0-12.13-lowlatency 4.12.8
Uname: Linux 4.12.0-12-lowlatency x86_64
ApportVersion: 2.20.7-0ubuntu1
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
Date: Wed Sep 6 11:29:45 2017
DistUpgraded: Fresh install
DistroCodename: artful
DistroVariant: ubuntu
DkmsStatus:
 tp_smapi, 0.42, 4.12.0-11-lowlatency, x86_64: installed
 tp_smapi, 0.42, 4.12.0-12-lowlatency, x86_64: installed
 v4l2loopback, 0.10.0, 4.12.0-11-lowlatency, x86_64: installed
 v4l2loopback, 0.10.0, 4.12.0-12-lowlatency, x86_64: installed
DuplicateSignature:
 package:libxvmc1:2:1.0.9-1ubuntu1
 Unpacking libxvmc1:amd64 (2:1.0.10-1) over (2:1.0.9-1ubuntu1) ...
 dpkg: error processing archive /tmp/apt-dpkg-install-uVoBwf/68-libxvmc1_2%3a1.0.10-1_amd64.deb (--unpack):
  trying to overwrite shared '/etc/X11/XvMCConfig', which is different from other instances of package libxvmc1:amd64
ErrorMessage: trying to overwrite shared '/etc/X11/XvMCConfig', which is different from other instances of package libxvmc1:amd64
GraphicsCard:
 Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) [8086:2a02] (rev 0c) (prog-if 00 [VGA controller])
   Subsystem: Lenovo ThinkPad T61/R61 [17aa:20b5]
   Subsystem: Lenovo ThinkPad T61/R61 [17aa:20b5]
InstallationDate: Installed on 2011-10-14 (2153 days ago)
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111011)
MachineType: LENOVO 7661LN8
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.12.0-12-lowlatency root=UUID=a5b30f2d-d555-4bea-9b89-e322f13656be ro quiet splash threadirqs resume=UUID=29869a91-5410-4e9b-9bd9-2aea1ecb1637 vt.handoff=7
Python3Details: /usr/bin/python3.6, Python 3.6.2, python3-minimal, 3.6.1-0ubuntu3
PythonDetails: /usr/bin/python2.7, Python 2.7.13, python-minimal, 2.7.13-2
RelatedPackageVersions:
 dpkg 1.18.24ubuntu1
 apt 1.5~rc1~ubuntu1
SourcePackage: libxvmc
Title: package libxvmc1 2:1.0.9-1ubuntu1 failed to install/upgrade: trying to overwrite shared '/etc/X11/XvMCConfig', which is different from other instances of package libxvmc1:amd64
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 03/18/2011
dmi.bios.vendor: LENOVO
dmi.bios.version: 7LETC9WW (2.29 )
dmi.board.name: 7661LN8
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: 000L004051
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7LETC9WW(2.29):bd03/18/2011:svnLENOVO:pn7661LN8:pvrThinkPadT61:rvnLENOVO:rn7661LN8:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.family: ThinkPad T61
dmi.product.name: 7661LN8
dmi.product.version: ThinkPad T61
dmi.sys.vendor: LENOVO
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.82-1
version.libgl1-mesa-dri: libgl1-mesa-dri 17.2.0~rc4-0ubuntu3
version.libgl1-mesa-glx: libgl1-mesa-glx 17.2.0~rc4-0ubuntu3
version.xserver-xorg-core: xserver-xorg-core 2:1.19.3-1ubuntu5
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.9.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20170309-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-2

David Kastrup (dak) wrote :
tags: removed: need-duplicate-check
David Kastrup (dak) wrote :

Ok, this looks really strange:

dak@lola:/usr/local/tmp/lilypond$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  libxvmc1
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/13.7 kB of archives.
After this operation, 19.5 kB disk space will be freed.
Do you want to continue? [Y/n]
(Reading database ... 353836 files and directories currently installed.)
Preparing to unpack .../libxvmc1_2%3a1.0.10-1_amd64.deb ...
Unpacking libxvmc1:amd64 (2:1.0.10-1) over (2:1.0.9-1ubuntu1) ...
dpkg: error processing archive /var/cache/apt/archives/libxvmc1_2%3a1.0.10-1_amd64.deb (--unpack):
 trying to overwrite shared '/etc/X11/XvMCConfig', which is different from other instances of package libxvmc1:amd64
Errors were encountered while processing:
 /var/cache/apt/archives/libxvmc1_2%3a1.0.10-1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
dak@lola:/usr/local/tmp/lilypond$ dpkg -S !$
dpkg -S /etc/X11/XvMCConfig
libxvmc1:i386: /etc/X11/XvMCConfig
dak@lola:/usr/local/tmp/lilypond$ sudo apt-get remove libxvmc1:i386
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package 'libxvmc1:i386' is not installed, so not removed. Did you mean 'libxvmc1'?
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
dak@lola:/usr/local/tmp/lilypond$ cat /etc/X11/XvMCConfig
libXvMC.so.1
dak@lola:/usr/local/tmp/lilypond$

David Kastrup (dak) wrote :

So I _purged_ the already removed libxvmc1:i386 (no idea how it actually got installed though) and then libxvmc1 (:amd64) updated/installed fine. Very peculiar.

Changed in libxvmc (Debian):
status: Unknown → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.